Depuis sa version 0.22a principalement, deux nouveautés sont apparues dans eMule. L'une dans la version officielle, l'autre dans la plupart des mods. Il s'agit pour la première des fameux échanges de sources entre les clients eMule, et d'autre part du "load/save sources". Mais loin d'être entièrement bénéfiques pour le réseau, elles provoquent depuis plusieurs jours une large saturation des connexions.

L’échange des sources (ou Source Exchange en bon anglais) est une fonction qui permet aux clients eMule de s’échanger leurs sources sans passer par un serveur intermédiaire comme c’est le cas avec eDonkey. La fonction « Load/Save Sources » de son côté, implantée sur la plupart des mods actuels, permet de garder en mémoire les sources pour éviter d’avoir à les re-chercher lors d’une reconnexion au réseau. Mais combinées, ces fonctions telles qu’elles existent aujourd’hui sont une véritable bombe pour eDonkey.

Généralement, le problème se traduit par un ralentissement massif de la connexion Internet au moment de la communication desdites sources, et pour peu que vous partagiez quelques fichiers populaires les choses empirent.
Pour comprendre, imaginez que 400 ou 500 utilisateurs vous demandent de leur communiquer vos sources pour un même fichier toutes les 90 minutes. Pour 5 fichiers, il faudra gérer 2500 connections dans cette période, soit au moins 27 connections par minute dans une vision optimiste des choses…

Mais il y a pire encore. Lors du partage des sources ou de leur chargement, les clients en « LOW ID » sont également partagés et provoquent un trafic TCP très lourd vers les serveurs, ce qui explique l’injoignabilité de ceux-ci depuis plus d’une semaine ainsi que de la baisse du nombre d’utilisateurs acceptés sur beaucoup de serveurs, certains administrateurs ayant même baissé les bras de peur de perdre du matériel devant la charge.

Lugdunummaster, qui gère aujourd’hui les serveurs, parle d’attaque majeure à l’encontre du réseau.

Ainsi pour le moment, à la vue de ce problème de serveurs, utilisez de préférence la version officielle d’eMule afin d’éviter la sauvegarde des Low ID par le module load/save sources, voire une version antérieure à la 0.22a qui n’utilise pas de Source Exchange préjuciable.

Le développeur principal d’eMule, Merkur, a annoncé qu’il retirera les Low ID de sa fonction Source Exchange dès la version 0.23. Mais il n’a aucun contrôle sur les mods dont certains deviennent plus populaires encore que le client officiel, alors qu’ils ajoutent des modules dont l’impact sur le réseau est au mieux incertain, au pire destructeur.

Dès lors, nous ne pouvons que vous inviter une nouvelle fois à la plus grande prudence quant à l’utilisation de ces versions dites « patchées » d’eMule, dont nous préférons régulièrement taire l’existence (un dossier complet devrait bientôt voir le jour et faire le point sur ces différentes versions). Tout ce qui est beau n’est pas forcemment bon à prendre…

MISE A JOUR :

Une nouvelle version d’eMule, la 0.22c est venue corriger le problème.
Cf : « Sortie d’eMule 0.22c »

Partager sur les réseaux sociaux

Articles liés